# TI-Status2Mattermost

Dieses Python-Skript überwacht die Webseite [https://fachportal.gematik.de/ti-status](https://fachportal.gematik.de/ti-status) auf neue Störungsmeldungen und sendet diese automatisch an einen Mattermost-Webhook.

## Funktionsweise
- Die Seite wird regelmäßig (alle 5 Minuten) auf neue Meldungen geprüft.
- Neue Meldungen werden erkannt und als formatierte Nachricht an Mattermost gesendet.
- Bereits gesendete Meldungen werden gespeichert, sodass sie nach einem Neustart nicht erneut verschickt werden.

## Voraussetzungen
- Python 3.8 oder neuer
- Zugriff auf die Mattermost-Webhook-URL

## Installation
1. Repository klonen oder Dateien herunterladen.
2. Abhängigkeiten installieren:
   ```bash
   pip install -r requirements.txt
   ```

## Nutzung
Das Skript kann direkt gestartet werden:
```bash
python ti_status_checker.py
```

Das Skript läuft in einer Endlosschleife und prüft alle 5 Minuten auf neue Meldungen.

## Konfiguration
- Die Mattermost-Webhook-URL und die Status-URL sind im Skript als Konstanten hinterlegt.
- Das Intervall kann über die Variable `CHECK_INTERVAL` (in Sekunden) angepasst werden.

## Hinweise
- Bereits gesendete Meldungen werden in der Datei `ti_status_state.json` gespeichert.
- Die Markdown-Formatierung der Nachrichten sorgt für eine übersichtliche Darstellung in Mattermost.

## Lizenz
MIT 